#
# spec file for package xball (Version 3.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  openmotif openmotif-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openmotif openmotif-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xball
Copyright:    1993 David Nedde
Group:        X11/Games
Provides:     xball 
Autoreqprov:  on
Version:      3.0
Release:      423
Summary:      Bouncing balls
Source:       xball-%{version}.tar.gz
Patch:        xball-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
This program simulates bouncing balls in a window.  You create the
balls in a variety of ways, and can set the gravity, elasticity,
whether balls collide or not, etc.

Authors:
--------
    David Nedde <daven@ivy.wpi.edu>

SuSE series: fun

%prep
%setup
%patch

%build
xmkmf -a
make
for file in demo[0-9]* ; do
  cat $file | sed -e "s| \([-a-z]*\.xbm\)| \/usr\/games\/xball\/\1|" > $file.new;
  mv $file.new $file
done

%install
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT MANDIR=/usr/X11R6/man/man6/ MANSUFFIX=6 install.man
install -m755 -d $RPM_BUILD_ROOT/usr/games/xball
install -m644 demo[0-9]* $RPM_BUILD_ROOT/usr/games/xball
install -m644 *.xbm $RPM_BUILD_ROOT/usr/games/xball
install -m755 run_demos $RPM_BUILD_ROOT/usr/games/xball

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/bin/xball
%config /usr/X11R6/lib/X11/app-defaults/XBall
%doc /usr/X11R6/man/man6/xball.6*
/usr/games/xball/

%changelog -n xball
* Tue Nov 21 2000 - ro@suse.de
- use openmotif
* Tue Apr 25 2000 - vinil@suse.cz
- spec file cleanup
- buildroot added
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 12 1999 - uli@suse.de
- now builds with lesstif
* Thu May 07 1998 - fehr@suse.de
- add library -lXp for Motif 2.1
* Tue Dec 09 1997 - ro@suse.de
- build static and dynamic version
  patched color_l.c to avoid segfault
* Tue Oct 07 1997 - ro@suse.de
- demos installed in usr/games/xball,
- icon paths in demo are fixed
- included werners patch for Xm and Xpm and path for rgb.txt
* Sun Jun 01 1997 - bs@suse.de
- moved var/X11R6/lib/app-defaults to usr/X11R6/lib/X11/app-defaults
